Adobe DNG Converter crashes in Wine

Hi!

I am installing Adobe DNG Converter in Ubuntu 18.04 following instructions of https://rawpedia.rawtherapee.com/How_to_convert_raw_formats_to_DNG#Installing_Adobe_DNG_Converter_in_Linux

I add the override of api-ms-win-core-winrt-error-l1-1-0 fixing it to “disable”. The program still crashes reporting,

009d:err:module:import_dll Library api-ms-win-core-winrt-error-l1-1-0.dll (which is needed by L"C:\users\XXXX\Temp\cr_sdk_temp_30461098.tmp") not found

Should I somehow provide another ddl?
I am not so experienced with wine.
Any help would be very wellcome!

Regards,

What’s your wine version? Run wine --version

I just re-installed DNGConverter 12.2 with wine 5.0, worked okay…

wine-5.0.1

Hmmmm. Then, I don’t know. You might try at the wine forums, see if anyone there has seem similar. Like you probably did, i just installed wine from the Ubuntu repository, ran AdobeDNGConverter, and it worked. I get all sorts of GTK errors and warnings, but they don’t seem to disrupt the good order of things…

are you running ubuntu 18.04?

I was, and that’s where I installed wine to do this. Hmmm, maybe it’s the 20.04 wine package… I don’t recall what was done with wine, if anything, at the 20,04 upgrade.

Here’s my apt-cache policy wine output:

wine:
  Installed: 5.0-3ubuntu1
  Candidate: 5.0-3ubuntu1
  Version table:
 *** 5.0-3ubuntu1 500
        500 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 Packages
        500 http://us.archive.ubuntu.com/ubuntu focal/universe i386 Packages
        100 /var/lib/dpkg/status

Here’s my apt-cache policy wine output

I downloaded from the site and installed via dpkg. mmmmmmmm
When i tried with the version of apt it had some other problems.

but my version is up to date, it is the later available

Okay, so going to the wine forums will probably be your best bet.